Package com.verisign.epp.codec.loginsecpolicy.v04

## Class EPPLoginSecPolicyInfData

- java.lang.Object
- - com.verisign.epp.codec.loginsecpolicy.v04.EPPLoginSecPolicyInfData

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPLoginSecPolicyInfData
      extends java.lang.Object
      implements EPPCodecComponent

  Login Security Policy Create Extension that enables a client to pass the login security policy information with a registry info response.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | XML local name for `EPPLoginSecPolicyInfData`.
    `static java.lang.String` | `ELM_NAME` | XML root tag for `EPPLoginSecPolicyInfData`.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPLoginSecPolicyInfData()` | Creates an empty `EPPLoginSecPolicyInfData` object.
    `EPPLoginSecPolicyInfData​(EPPLoginSecPolicySystem aSystem)` | Creates a new `EPPLoginSecPolicyInfData` object that will set the login security policy for the system.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | clone an `EPPCodecComponent`.
    `void` | `decode​(org.w3c.dom.Element aElement)` | Decode a DOM element tree to initialize the instance attributes.
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | Encode instance into a DOM element tree.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPLoginSecPolicyInfData` with this instance.
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.
    `EPPLoginSecPolicySystem` | `getSystem()` | Gets the contained system of the extension.
    `void` | `setSystem​(EPPLoginSecPolicySystem aSystem)` | Sets the contained system of the extension.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPLoginSecPolicyInfData`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPLoginSecPolicyInfData`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPLoginSecPolicyInfData

          public EPPLoginSecPolicyInfData()

      Creates an empty `EPPLoginSecPolicyInfData` object. `system` is set to `null`. Use `setSystem` to set `system` attribute before sending the info response.

    - #### EPPLoginSecPolicyInfData

          public EPPLoginSecPolicyInfData​(EPPLoginSecPolicySystem aSystem)

      Creates a new `EPPLoginSecPolicyInfData` object that will set the login security policy for the system.
      Parameters:
        `aSystem` - Instance of `EPPLoginSecPolicySystem` to create

  - ### Method Detail

    - #### getSystem

          public EPPLoginSecPolicySystem getSystem()

      Gets the contained system of the extension.
      Returns:
        Instance of contained `EPPLoginSecPolicySystem`

    - #### setSystem

          public void setSystem​(EPPLoginSecPolicySystem aSystem)

      Sets the contained system of the extension.
      Parameters:
        `aSystem` - Instance of `EPPLoginSecPolicySystem`

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document, which acts is an Element factory
      Returns:
        Element Root element associated with the object
      Throws:
        `EPPEncodeException` - Error encoding `EPPLoginSecPolicyInfData`

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - `Element` to decode
      Throws:
        `EPPDecodeException` - Error decoding `Element`

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      clone an `EPPCodecComponent`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of concrete `EPPLoginSecPolicyInfData`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPLoginSecPolicyInfData` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if equal; `false` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.